javax.faces.flow.builder

## Class FlowCallBuilder

- java.lang.Object
- - javax.faces.flow.builder.FlowCallBuilder

- All Implemented Interfaces:
    NodeBuilder

      public abstract class FlowCallBuilder
      extends Object
      implements NodeBuilder

  Create a flow call node in the current `Flow`.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowCallBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract FlowCallBuilder` | `flowReference(String flowDocumentId, String flowId)` Define the flow reference of the called flow.
    `abstract FlowCallBuilder` | `markAsStartNode()` Mark this node as the start node in the flow.
    `abstract FlowCallBuilder` | `outboundParameter(String name, String value)` Define an outbound parameter for the flow call.
    `abstract FlowCallBuilder` | `outboundParameter(String name, ValueExpression value)` Define an outbound parameter for the flow call.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowCallBuilder

          public FlowCallBuilder()

  - ### Method Detail

    - #### flowReference

          public abstract FlowCallBuilder flowReference(String flowDocumentId,
                                      String flowId)

      Define the flow reference of the called flow.

      Parameters:
        `flowDocumentId` - the document id of the called flow. May not be `null`, but may be the empty string.
        `flowId` - the id of the called flow. May not be `null`
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### outboundParameter

          public abstract FlowCallBuilder outboundParameter(String name,
                                          ValueExpression value)

      Define an outbound parameter for the flow call.

      Parameters:
        `name` - the name of the parameter
        `value` - the value of the parameter
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### outboundParameter

          public abstract FlowCallBuilder outboundParameter(String name,
                                          String value)

      Define an outbound parameter for the flow call.

      Parameters:
        `name` - the name of the parameter
        `value` - the value of the parameter
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### markAsStartNode

          public abstract FlowCallBuilder markAsStartNode()

      Description copied from interface: `NodeBuilder`

      Mark this node as the start node in the flow. Any other node that had been marked as the start node will no longer be the start node.

      Specified by:
        `markAsStartNode` in interface `NodeBuilder`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.